<?xml version="1.0" encoding="utf-8" ?><rss version="2.0"><channel><title><![CDATA[timluoTC的专栏]]></title><description><![CDATA[]]></description><link>https://blog.youkuaiyun.com/timluoTC</link><language>zh-cn</language><generator>https://blog.youkuaiyun.com/</generator><copyright><![CDATA[Copyright &copy; timluoTC]]></copyright><item><title><![CDATA[android 报错: Conversion to Dalvik format failed with error 1]]></title><link>https://blog.youkuaiyun.com/timluoTC/article/details/7341560</link><guid>https://blog.youkuaiyun.com/timluoTC/article/details/7341560</guid><author>timluoTC</author><pubDate>Sun, 11 Mar 2012 11:40:16 +0800</pubDate><description><![CDATA[错误提示：
[2012-03-11 11:38:28 - PhoneBookActivity] Dx 
UNEXPECTED TOP-LEVEL EXCEPTION:
java.lang.IllegalArgumentException: already added: Lcom/android/mms/transaction/SmsRejectedReceiver;
at com.andr]]></description><category></category></item><item><title><![CDATA[foj 1971 A math problem]]></title><link>https://blog.youkuaiyun.com/timluoTC/article/details/7341524</link><guid>https://blog.youkuaiyun.com/timluoTC/article/details/7341524</guid><author>timluoTC</author><pubDate>Sun, 11 Mar 2012 11:22:46 +0800</pubDate><description><![CDATA[AC大牛的神题。
比赛时候没写出来。
首先，是思维问题。
一开始大部分队伍想的都是算出N，M然后找公式求，也确实找到一些，但是都不可行。赛后看了解题报告才明白将 ANS 写成
ANS = wi mod (pi ^ ci)
的形式，通过求 wi 。 再套用中国剩余定理。确定 ANS 。
首先， 直接求出 N 。
然后 求 wi = 1^A + 2^A + 3^A + ...+ N ^A]]></description><category></category></item><item><title><![CDATA[pku 2398]]></title><link>https://blog.youkuaiyun.com/timluoTC/article/details/7341521</link><guid>https://blog.youkuaiyun.com/timluoTC/article/details/7341521</guid><author>timluoTC</author><pubDate>Sun, 11 Mar 2012 11:20:57 +0800</pubDate><description><![CDATA[http://acm.pku.edu.cn/JudgeOnline/problem?id=2398.
敲的时候sb掉了。。写数论习惯性的是 unsigned __int64 u64..于是乎也贴了上去...于是乎。。因为unsigned.......


#include 
#include 
#include 
#include 
#include 
#include 
#include]]></description><category></category></item><item><title><![CDATA[pku 3304 Segments]]></title><link>https://blog.youkuaiyun.com/timluoTC/article/details/7341517</link><guid>https://blog.youkuaiyun.com/timluoTC/article/details/7341517</guid><author>timluoTC</author><pubDate>Sun, 11 Mar 2012 11:20:00 +0800</pubDate><description><![CDATA[http://acm.pku.edu.cn/JudgeOnline/problem?id=3304
假设存在 符合题意的一条直线l ，它经过所有线段。 那么， 必可以通过旋转，平移等操作，使得该直线至少经过两个#include 
#include 
#include 
using namespace std;
#define FOR(i,s,e) for (int (i)=(s); (i) <]]></description><category></category></item><item><title><![CDATA[pku 2653 Pick-up sticks]]></title><link>https://blog.youkuaiyun.com/timluoTC/article/details/7341511</link><guid>https://blog.youkuaiyun.com/timluoTC/article/details/7341511</guid><author>timluoTC</author><pubDate>Sun, 11 Mar 2012 11:18:14 +0800</pubDate><description><![CDATA[http://acm.pku.edu.cn/JudgeOnline/problem?id=2653
我明明越界，pku 给tle... 害的我一顿改。就是不过。还以为模板有问题
#include 
#define FOR(i,s,e) for (int (i)=(s); (i) < (e);i++)
inline double max(double a, double b) {return a]]></description><category></category></item><item><title><![CDATA[PKU 1696 Space Ant]]></title><link>https://blog.youkuaiyun.com/timluoTC/article/details/7341505</link><guid>https://blog.youkuaiyun.com/timluoTC/article/details/7341505</guid><author>timluoTC</author><pubDate>Sun, 11 Mar 2012 11:16:17 +0800</pubDate><description><![CDATA[http://acm.pku.edu.cn/JudgeOnline/problem?id=1696
贪心一下就可以了，每次选择最佳点。然后将点设为新的起点。数据很弱。

#include 
#include 
#include 
#include 
using namespace std;
#define FOR(i,s,e) for (int (i)=(s); (i) < (e);i++)]]></description><category></category></item><item><title><![CDATA[hdu 3532 Max Angle]]></title><link>https://blog.youkuaiyun.com/timluoTC/article/details/7341503</link><guid>https://blog.youkuaiyun.com/timluoTC/article/details/7341503</guid><author>timluoTC</author><pubDate>Sun, 11 Mar 2012 11:15:27 +0800</pubDate><description><![CDATA[1. atan2(y,x)返回值在 -pi 到 pi 之间。要划区间
2.当两线段夹角 angel > pi 时 ， 取 angle = 2Pi - angle .
#include 
#include 
#include 
using namespace std;
#define FOR(i,s,e) for (int (i)=(s);(i)<(e);i++)
const double IN]]></description><category></category></item><item><title><![CDATA[pku 3587 The Biggest Cake]]></title><link>https://blog.youkuaiyun.com/timluoTC/article/details/7341500</link><guid>https://blog.youkuaiyun.com/timluoTC/article/details/7341500</guid><author>timluoTC</author><pubDate>Sun, 11 Mar 2012 11:14:17 +0800</pubDate><description><![CDATA[http://poj.org/problem?id=3587
首先按照O(n^3)暴了一次，2000MS。然后按照O(n^2logn)写了一次，700MS.主要有一些计算几何的注意事项。
1。 sin , cos , atan ,tan ,sqrt 等数学函数执行的速度很慢，最好避免频繁使用
2. 关于精度。 爆的时候开了一个eps = 1e-10,.wa . 改1e-5。ac。继续改直接]]></description><category></category></item><item><title><![CDATA[pku 1265 Area]]></title><link>https://blog.youkuaiyun.com/timluoTC/article/details/7341487</link><guid>https://blog.youkuaiyun.com/timluoTC/article/details/7341487</guid><author>timluoTC</author><pubDate>Sun, 11 Mar 2012 11:12:37 +0800</pubDate><description><![CDATA[http://poj.org/problem?id=1265


求多面形面积加pick 公式
设F为平面上以格子点为定点的单纯多边形，则其面积为：
S=b/2+i-1。
b为多边形边上点格点的个数，i为多边形内部格点的个数。
可用其计算多边形的面积，边界格点数或内部格点数。
它明明说:
Separate the three numbers by two single blank]]></description><category></category></item><item><title><![CDATA[DP:HDU_1081_To The Max]]></title><link>https://blog.youkuaiyun.com/timluoTC/article/details/7341484</link><guid>https://blog.youkuaiyun.com/timluoTC/article/details/7341484</guid><author>timluoTC</author><pubDate>Sun, 11 Mar 2012 11:09:21 +0800</pubDate><description><![CDATA[http://acm.hdu.edu.cn/showproblem.php?pid=1081
题意很容易理解：
现在以 0 -2 -7 0 9 2 -6 2 -4 1 -4 1 -1 8 0 -2 为数据，说明解答过程.
写一个函数maxHelp(i,j)，实现以下目的：
当i = 0 ， j = 0 时： 传入参数 0 -2 -7 0 。得到新的数组 HELP ： 0 -2 -7 0 。]]></description><category></category></item><item><title><![CDATA[hdu 1048]]></title><link>https://blog.youkuaiyun.com/timluoTC/article/details/7341481</link><guid>https://blog.youkuaiyun.com/timluoTC/article/details/7341481</guid><author>timluoTC</author><pubDate>Sun, 11 Mar 2012 11:08:23 +0800</pubDate><description><![CDATA[#include 
#include 
#include 
using namespace std;
struct strCmp
{
bool operator()(const char s1 ,const char s2) const
{
   return s1 < s2;
}
};

int main()
{
//   freopen("in.txt","r",stdin);
string]]></description><category></category></item><item><title><![CDATA[hdu 1022]]></title><link>https://blog.youkuaiyun.com/timluoTC/article/details/7341475</link><guid>https://blog.youkuaiyun.com/timluoTC/article/details/7341475</guid><author>timluoTC</author><pubDate>Sun, 11 Mar 2012 11:06:14 +0800</pubDate><description><![CDATA[没什么好说，还是练STL

#include 
#include 
#include 
#include 
#include 
using namespace std;
int main()
{
   // freopen("in.txt","r",stdin);
    string train;
    string trainOrder;
    vector answer;
    i]]></description><category></category></item><item><title><![CDATA[pku 2823 双端队列]]></title><link>https://blog.youkuaiyun.com/timluoTC/article/details/7341473</link><guid>https://blog.youkuaiyun.com/timluoTC/article/details/7341473</guid><author>timluoTC</author><pubDate>Sun, 11 Mar 2012 11:05:11 +0800</pubDate><description><![CDATA[PKU 2823 双端队列特点：
1.队列具有单调性（desc or asc）。
2.只能在对头或队尾进行插入删除操作。
本题维护一个递增和一个递减的两个队列

#include 
#include 
#include 
#include 
using namespace std;
int a[1000010];
int answer_min[1000010];
int answer_m]]></description><category></category></item><item><title><![CDATA[swjtu oj 1589 Help Alice！]]></title><link>https://blog.youkuaiyun.com/timluoTC/article/details/7341465</link><guid>https://blog.youkuaiyun.com/timluoTC/article/details/7341465</guid><author>timluoTC</author><pubDate>Sun, 11 Mar 2012 11:03:51 +0800</pubDate><description><![CDATA[http://acm.swjtu.edu.cn/JudgeOnline/showproblem?problem_id=1589

没涉及到什么算法，两个二进制数，求最大公约数，但是这两个数字必须用字符串表示，算是要求自己模板吧，这里给出我AC的程序：二进制字符串的减法和取模运算.









#include 
#include 
typedef struct {]]></description><category></category></item><item><title><![CDATA[swjtu oj 1579 加号问题]]></title><link>https://blog.youkuaiyun.com/timluoTC/article/details/7341459</link><guid>https://blog.youkuaiyun.com/timluoTC/article/details/7341459</guid><author>timluoTC</author><pubDate>Sun, 11 Mar 2012 11:02:05 +0800</pubDate><description><![CDATA[http://acm.swjtu.edu.cn/JudgeOnline/showproblem?problem_id=1579


明显的DP算法。方便起见，定义一个结构体answer。用来储存一个字符串数字，当然拉，也可以不用，看个人喜好。输入字符串s ，加号个数 m，一个answer的二维数组 OPT[ i ][ j ] ，表示： 用 s 的前 i 的 字符，在这i个字符中加入 j 个加]]></description><category></category></item><item><title><![CDATA[zoj 3425 Similarity]]></title><link>https://blog.youkuaiyun.com/timluoTC/article/details/7341442</link><guid>https://blog.youkuaiyun.com/timluoTC/article/details/7341442</guid><author>timluoTC</author><pubDate>Sun, 11 Mar 2012 10:55:28 +0800</pubDate><description><![CDATA[http://acm.zju.edu.cn/onlinejudge/showProblem.do?problemId=4109
模拟+KM。表示只会写模拟。。。手贱把'\0' 写成' \n ' 而导致RE。
















#include 
#include 
#include 
#include 
using namespace std;
#]]></description><category></category></item><item><title><![CDATA[记录我的腾讯成长之旅]]></title><link>https://blog.youkuaiyun.com/timluoTC/article/details/7341379</link><guid>https://blog.youkuaiyun.com/timluoTC/article/details/7341379</guid><author>timluoTC</author><pubDate>Sun, 11 Mar 2012 10:42:33 +0800</pubDate><description><![CDATA[2011.07.19   
       正式步入腾讯的第一天。十分珍惜这次实习的机会。现在想起就跟昨天一样，上午报道，取电脑，见了部门leader跟导师，发现原来leader就是当初一面我的哥哥，然后boss就是二面我的姐姐。看来都是这样，自己部门要，自己部门的人去面。导师人很好，大我几岁的样子，很好说话。
     下午熟悉了下公司的内网，各种BBS，各种OA，传说中的体验Q币呐~~~~~]]></description><category></category></item></channel></rss>